## python-nlmanager 4.2-cl4.3.2u1

=== debian/changelog ===
python-nlmanager (4.2-cl4.3.2u1) RELEASED; urgency=medium

  * Version update for 4.3.2

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 22 Sep 2023 03:49:44 -0700

python-nlmanager (4.2-cl4.2.1u1) RELEASED; urgency=medium

  * New: support for NTF_STICKY flag definition

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 02 Jun 2020 23:42:42 +0200

python-nlmanager (4.1-cl4u2) RELEASED; urgency=medium

  * New. Enabled. nlpacket: Add support for IFLA_BRIDGE_VLAN_TUNNEL_INFO
  * New. Enabled: nlpacket: Add support for IFLA_BRPORT_VLAN_TUNNEL
  * New. Enabled. nlpacket: Sdd support for IFA_RT_PRIORITY

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 04 Mar 2020 23:42:42 +0100

python-nlmanager (4.0-cl4u1) RELEASED; urgency=medium

  * New. Enabled. nlpacket: add support (uint32) for IFLA_BRPORT_BACKUP_PORT
  * New. Enabled: nlpacket: removing IFLA_BRPORT_DOWN_PEERLINK_REDIRECT attr
  * New. Enabled. nlpacket: add support for IFLA_VRF_TABLE encoding
  * New. Enabled. use strerror to accurately print kernel errors
  * New. Enabled. nlpacket: update BRPORT_GROUP_FWD_MASKHI and
    DOWN_PEERLINK_REDIRECT values
  * New. Enabled. new IFLA_BRPORT attributes
    IFLA_BRPORT_NEIGH_SUPPRESS
    IFLA_BRPORT_ISOLATED
    IFLA_BRPORT_BACKUP_PORT

 -- dev-support <dev-support@cumulusnetworks.com>  Sat, 05 Jan 2019 23:42:43 +0000

python-nlmanager (3.0-cl3u18) RELEASED; urgency=medium

  * Closes: vxlan encode payload length

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 16 Apr 2019 23:42:42 -1000

python-nlmanager (3.0-cl3u17) RELEASED; urgency=medium

  * New. Enabled: add Makefile and update license headers

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 04 Mar 2019 23:42:42 -1000

python-nlmanager (3.0-cl3u16) RELEASED; urgency=medium

  * New. Enabled. nlpacket: Use strerror for error handling
  * New. Enabled. nlpacket: add family string (AF_*) to debug dump
  * New. Enabled. nlpacket: add decode support for tunnel devices:
        - gre
        - gretap
        - erspan
        - ip6gre
        - ip6gretap
        - ip6erspan
        - ipip
        - sit
        - ip6tnl
        - vti
        - vti6

 -- dev-support <dev-support@cumulusnetworks.com>  Sat, 05 Jan 2019 23:42:42 +0000

python-nlmanager (3.0-cl3u15) RELEASED; urgency=medium

  * New. Enabled. nlpacket: add netconf support (RTM_GETNETCONF/RTM_NEWNETCONF)
  * New. Enabled. nlmanager: vxlan creation: add support for IFLA_VXLAN_LINK
  * New. Enabled. nlpacket: decode support for IFLA_AF_SPEC (inet6 attributes)
  * New. Enabled. nlpacket: decode support for GREv6 ipv6 on IFLA_ADDRESS and IFLA_BROADCAST

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 31 Aug 2018 23:42:42 +0200

python-nlmanager (3.0-cl3u14) RELEASED; urgency=medium

  * nlpacket: fix IFLA_VXLAN_PORT decode endianness
  * nlpacket: renaming IFLA_BRPORT_NO_FLUSH to IFLA_BRPORT_DOWN_PEERLINK_REDIRECT

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 06 Apr 2018 21:57:47 +0000

python-nlmanager (3.0-cl3u13) RELEASED; urgency=medium

  * New. Enabled. add decode support for bond slave attributes (IFLA_BOND_SLAVE_XXX)

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 21 Feb 2018 06:26:45 +0100

python-nlmanager (3.0-cl3u12) RELEASED; urgency=medium

  * New. Enabled. add support for IFLA_BRPORT_NO_FLUSH attribute

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 08 Feb 2018 09:11:42 +0100

python-nlmanager (3.0-cl3u11) RELEASED; urgency=medium

  * New. Enabled. add IFLA_BRPORT_GROUP_FWD_MASK and IFLA_BRPORT_GROUP_FWD_MASKHI attributes

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 27 Nov 2017 18:40:29 +0000

python-nlmanager (3.0-cl3u10) RELEASED; urgency=medium

  * New. Enabled. add Cumulus copyright and GPL-2 license to source files
  * New. Enabled. nlpacket:: add support for IFLA_INFO_DATA bond attributes
  * New. Enabled. nlpacket:: add support for bridge and bridge-port
(IFLA_INFO_SLAVE_DATA) attributes
  * New. Enabled. MPLS labels support
  * Closes: CM-17240 add examples/frr-decoder.py
  * Closes: CM-17141 better support for NLMSG_DONE
  * Closes: CM-16650 lower log lvl of "Add support for encoding/decoding" msgs
  * Closes: CM-16287 nllistener: changes needed for handling socket overflow

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 10 Aug 2017 22:30:10 +0200

python-nlmanager (3.0-cl3u9) RELEASED; urgency=medium

  * Closes: CM-15664 nlpacket:: add decode support for IFLA_VLAN_PROTOCOL
  * Closes: CM-15528 nlpacket:: Added NTF_EXT_LEARNED flag definition
  * Closes: CM-15275 RTM_NEWNEIGH need to show what the state and flags are
  * Closes: CM-14917 nlpacket: ARP suppress bridge port attribute
  * Closes: CM-14917 nllistener: Add API for getting all bridge links
  * Closes: CM-14835 python-nlmanager: Add support to decode IFLA_BR_VLAN_FILTERING
  * Closes: CM-7361 nlmanager: Updates to support clag

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 18 Apr 2017 10:21:26 -0700

python-nlmanager (3.0-cl3u8) RELEASED; urgency=medium

  * Closes: add support for ip link set master/nomaster

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 30 Nov 2016 18:55:40 +0000

python-nlmanager (3.0-cl3u7) RELEASED; urgency=medium

  * Closes: CM-13558  Add copyright file
  * Closes: CM-13536  Resolve IFLA_ADDRESS and IFLA_BROADCAST unpacking issue

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 17 Nov 2016 06:33:58 -0800

python-nlmanager (3.0-cl3u6) RELEASED; urgency=medium

  * Closes: CM-13356  'Link' object has no attribute 'family'

 -- root <dev-support@cumulusnetworks.com>  Tue, 01 Nov 2016 19:28:26 +0000

python-nlmanager (3.0-cl3u5) RELEASED; urgency=medium

  * CM-13016 crash in nlmanager "'int' object has no attribute 'packed'"

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 11 Oct 2016 18:33:53 +0000

python-nlmanager (3.0-cl3u4) RELEASED; urgency=medium

  * Closes: CM-12596  nlmanager: fixing error messages when receiving NLMSG_ERROR

