=== debian/control ===
Source: python-nlmanager
Section: net
Priority: standard
Maintainer: dev-support <dev-support@cumulusnetworks.com>
Build-Depends:  debhelper (>= 9.0.0),
                git,
                dh-python,
                python-setuptools,
                python-ipaddr,
                python-all,
Standards-Version: 3.9.8
Homepage: https://www.cumulusnetworks.com/
X-Python-Version: >= 2.7

Package: python-nlmanager
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-ipaddr
Description: Netlink interface using Python
